/*-----------------------------------------------------------------------

File  : che_heu_exstandard.c

Author: Stephan Schulz

Contents
 
  

Changes

<1> Mon Jun 29 00:37:45 MET DST 1998
    New

-----------------------------------------------------------------------*/

#include "che_heu_exstandard.h"



/*---------------------------------------------------------------------*/
/*                        Global Variables                             */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                      Forward Declarations                           */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                         Internal Functions                          */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                         Exported Functions                          */
/*---------------------------------------------------------------------*/


/*-----------------------------------------------------------------------
//
// Function: HCBExStandardCreate()
//
//   Create a HCB entry for the extended standard heuristic. The
//   parameter stacks are interpreted as follows:
// 
//   Stack        What?               Default
//                                    
// Global Variables: -
//
// Side Effects    : Memory operations
//
/----------------------------------------------------------------------*/

HCB_p HCBExStandardCreate(HCBARGUMENTS)
{
   HCB_p         hcb     = HCBAlloc();

   HCBAddWFCB(hcb, WFCBAdminFindWFCB(control->wfcbs, "weight21_a") ,
	      EX_DEFAULT_WEIGHT_STEPS);
   HCBAddWFCB(hcb, WFCBAdminFindWFCB(control->wfcbs, "simweight_g") ,
	      EX_DEFAULT_SIM_STEPS);   
   HCBAddWFCB(hcb, WFCBAdminFindWFCB(control->wfcbs, "fifo_f") ,
	      EX_DEFAULT_FIFO_STEPS);

   return hcb;
}


/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/


