/*-----------------------------------------------------------------------

File  : che_heu_standard.c

Author: Stephan Schulz

Contents
 
  See .h file

Changes

<1> Mon Jun  8 02:32:47 MET DST 1998
    New

-----------------------------------------------------------------------*/

#include "che_heu_standard.h"



/*---------------------------------------------------------------------*/
/*                        Global Variables                             */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                      Forward Declarations                           */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                         Internal Functions                          */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                         Exported Functions                          */
/*---------------------------------------------------------------------*/


/*-----------------------------------------------------------------------
//
// Function: HCBStandardCreate()
//
//   Create a HCB entry for the standard heuristic.
//
// Global Variables: -
//
// Side Effects    : Memory operations
//
/----------------------------------------------------------------------*/

HCB_p HCBStandardCreate(HCBARGUMENTS)
{
   HCB_p         hcb = HCBAlloc();
   
   HCBAddWFCB(hcb, WFCBAdminFindWFCB(control->wfcbs, "weight21_ugg") ,
	      DEFAULT_CLAUSEWEIGHT_STEPS);
   HCBAddWFCB(hcb, WFCBAdminFindWFCB(control->wfcbs, "fifo_f") ,
	      DEFAULT_FIFO_STEPS);

   return hcb;
}


/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/


