/*-----------------------------------------------------------------------

File  : che_litselection.h

Author: Stephan Schulz

Contents

  Functions for selection certain literals (and hence superposition
  strategies).

  Copyright 1998, 1999 by the author.
  This code is released under the GNU General Public Licence.
  See the file COPYING in the main CLIB directory for details.
  Run "eprover -h" for contact information.

Changes

<1> Fri May 21 22:17:06 GMT 1999
    New

-----------------------------------------------------------------------*/

#ifndef CHE_LITSELECTION

#define CHE_LITSELECTION

#include <clb_simple_stuff.h>
#include <ccl_clauses.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/

typedef void (*LiteralSelectionFun)(Clause_p clause);

/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

extern char* LiteralSelectionFunNames[];

LiteralSelectionFun GetLitSelFun(char* name);
char*               GetLitSelName(LiteralSelectionFun fun);

void SelectNoLiterals(Clause_p clause);
void SelectNoGeneration(Clause_p clause);
void SelectNegativeLiterals(Clause_p clause);
void SelectPosNegativeLiterals(Clause_p clause);
void SelectFirstVariableLiteral(Clause_p clause);
void SelectPosFirstVariableLiteral(Clause_p clause);
void SelectLargestNegativeLiteral(Clause_p clause);
void SelectPosLargestNegativeLiteral(Clause_p clause);
void SelectSmallestNegativeLiteral(Clause_p clause);
void SelectPosSmallestNegativeLiteral(Clause_p clause);
void SelectDiffNegativeLiteral(Clause_p clause);
void SelectPosDiffNegativeLiteral(Clause_p clause);
void SelectGroundNegativeLiteral(Clause_p clause);
void SelectPosGroundNegativeLiteral(Clause_p clause);
void SelectOptimalLiteral(Clause_p clause);
void SelectPosOptimalLiteral(Clause_p clause);

#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





